#include "Packet.h"
#include <iostream>

Packet::Packet(const Address& originator,const Address& destination, const Info& info ):
originator_( originator ), destination_( destination ), info_( info )
{
   //cout << "Creo un Pacchetto" << endl;
}

Packet::~Packet()
{
   //cout << "Distruggo un pacchetto" << endl;
}

const Address& Packet::getOriginator() const
{
   return originator_;
}

const Address& Packet::getDestination() const
{
   return destination_;
}

Info Packet::getInfo()const
{
   return info_;
}   

bool  Packet::isDestinated(const Address& destination ) const
{
   if( destination == destination_ )
      return true;
   else 
      return false;
}
