#ifndef	__PACKET_H
#define __PACKET_H

// Antonio Ospite 408/244

#include "Address.h"
#include "Info.h"

class Packet
{
  public:
     Packet( const Address&, const Address&, const Info& );
     ~Packet();
     const Address& getOriginator() const ;
     const Address& getDestination() const;
     Info getInfo() const;
     bool isDestinated(const Address& ) const;
     
  private:
     Address originator_;
     const Address destination_;
     Info info_; 	 
};

#endif
