#ifndef __PRINTSERVER_H
#define __PRINTSERVER_H

// Antonio Ospite 408/244

#include "Node.h"
#include "PrintServerType.h"

class PrintServer : public Node
{
public:
   PrintServer( const Address&, PacketFactory* );
   PrintServer( const Address&, PacketFactory*, const PrintServerType& );
   ~PrintServer();
private:
   void handle( const Packet& ) const;
   PrintServerType current_type_;
};
#endif
