#include "Workstation.h"
#include <iostream>

Workstation:: Workstation( const Address& addr, PacketFactory* pf):
Node(addr, pf)
{
   cout << "Costruisco una Workstation" << endl;
}

Workstation:: ~Workstation()
{
   cout << "Distruggo una Workstation" << endl;
}

void Workstation:: handle( const Packet& packet ) const
{
   // un nodo generico ed una workstation differiscono
   // unicamente per il metodo di inoltro.
   // questo e' solo un esempio, una ws potrebbe
   // trattare il pacchetto in modo piu' specifico
   cout << "Pacchetto " << packet.getInfo()
        << " processato da " << getAddress() << ": Workstation" << endl;
}


